package com.platform.yijia.utils;

import java.util.ArrayList;
import java.util.List;

public class PageUtil {

    public static <T> List<T> splitList(List<T> list, int pageSize,int pageNum){
        if(pageSize==0){
            pageSize=10;
        }
        if(pageNum==0){
            pageNum=1;
        }
        int listSize = list.size();
        int dangqianye=pageNum*pageSize;

        int kaishi = (pageNum-1)*pageSize;
        List<T> subList = new ArrayList<T>();
        if(listSize<dangqianye && kaishi<listSize ){
           // int page = (listSize + (pageSize - 1)) / pageSize;
            for (int i = 0; i < pageNum; i++){
                for (int j = 0; j < listSize; j++){
                    int pageIndex = ((j + 1) + (pageSize - 1)) / pageSize;
                    if (pageIndex == (i + 1)) {
                        subList.add(list.get(j));
                    }
                    if ((j + 1) == ((j + 1) * pageSize)){
                        break;
                    }
                }
            }
        }
        return subList;
    }
}
